best_fares:
  label: Best Fares
  namespace: Organisms/TM - Best Fares
  use: '@organisms/tm-bf/_best-fares.twig'
  description: Best Fares
  dependencies:
    - bs_carousel
  libraries:
    - best_fares_lib:
        js:
          ../behaviors/best-fares.js: {}
        css:
          component:
            ../styles/best-fares.css:
              weight: 10
  fields:
    header_text:
      type: text
      label: Header template string
      preview: Best fares {{dir_a}} {{stations}} {{dir_b}}
    stations_list:
      type: object
      label: Tickets
      preview:
        LON: London
        NOR: Norwich
        BRS: Bristol
    tickets:
      type: object
      label: Tickets
      preview:
        LON:
          - title: London
            price: 3
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=a1">'
          - title: Chelmsford
            price: 3.1
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=a2">'
          - title: Ipswitch
            price: 3.99
            direction: return
            image: '<img src="https://picsum.photos/400/376?rnd=a3">'
          - title: Bishops Stortford Bishops Stortford
            price: '3'
            direction: return
            image: '<img src="https://picsum.photos/400/376?rnd=a4">'
          - title: Harlow Mill
            price: '3.1'
            direction: return
            image: '<img src="https://picsum.photos/400/376?rnd=a5">'
          - title: Billericay
            price: '3.99'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=a6">'
        NOR:
          - title: Norwich
            price: '10'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b1">'
          - title: Cambridge
            price: '8'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b2">'
          - title: Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b3">'
          - title: Southend Victoria Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b4">'
          - title: Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b5">'
          - title: Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b6">'
          - title: Southend Victoria Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b7">'
          - title: Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b8">'
          - title: Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=b9">'
        BRS:
          - title: Bristol
            price: '10'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=c1">'
          - title: Cambridge
            price: '8'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=c2">'
          - title: Southend Victoria
            price: '6'
            direction: one way
            image: '<img src="https://picsum.photos/400/376?rnd=c3">'
  settings:
    button_size:
      type: select
      label: Button size
      default_value: btn-md
      options:
        md: Normal
        sm: Small
        lg: large
    status:
      type: select
      label: Select button status
      default_value: default
      options:
        default: Default Branded
        primary: Primary
        secondary: Secondary
        success: Success
        danger: Danger
        warning: Warning
        info: Info
        light: Light
        outline-light: Outline light
        dark: Dark
        none: None
    card_button_status:
      type: select
      label: Book button status
      default_value: default
      options:
        default: Default Branded
        primary: Primary
        secondary: Secondary
        success: Success
        danger: Danger
        warning: Warning
        info: Info
        light: Light
        dark: Dark
        none: None
    direction:
      type: select
      label: Direction
      default_value: from
      options:
        from: Fares to the main station (from)
        to: Fares from the main station (to)
    icon:
      type: textfield
      label: Icon
    controls_type:
      type: select
      label: Controls type
      default_value: dropdown
      options:
        dropdown: Dropdown
        buttons: Buttons
        scrolling_buttons: Scrolling buttons
    cards_per_slide:
      type: select
      label: Cards per slide
      default_value: 4
      options:
        2: 2
        3: 3
        4: 4
        6: 6
    tab_functionality:
      type: boolean
      label: Use tabs instead of carousel
    slider_images:
      type: boolean
      label: Have fares with images and sliding on mobile
    link_scope:
      type: select
      label: Link scope
      default_value: button
      preview: button
      options:
        button: Button
        card: Card
